%define upstream_name    Tapper-Cmd
%define upstream_version 5.0.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Tapper - Backend functions for CLI and Web
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(DBI)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(Kwalify)
BuildRequires: perl(Moose)
BuildRequires: perl(Net::OpenSSH)
BuildRequires: perl(Perl6::Junction)
BuildRequires: perl(Tapper::Base)
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::Model)
BuildRequires: perl(Tapper::Reports::DPath::TT)
BuildRequires: perl(Tapper::Schema)
BuildRequires: perl(Tapper::Schema::TestTools)
BuildRequires: perl(Tapper::Schema::TestrunDB)
BuildRequires: perl(Template) >= 2.260.0
BuildRequires: perl(Template::Plugin::Autoformat) >= 2.770.0
BuildRequires: perl(Template::Plugin::EnvHash) >= 1.60.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Autoformat) >= 1.740.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Tapper backend functions for the command line and the Web.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
# Cancelling for now due to test failures.
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Sep 05 2016 pterjan <pterjan> 5.0.6-2.mga6
+ Revision: 1050040
- Re-enable tests
- Rebuild for perl 5.22.2

  + shlomif <shlomif>
    - New version 5.0.6

* Mon Feb 08 2016 umeabot <umeabot> 4.1.8-5.mga6
+ Revision: 948214
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.1.8-4.mga5
+ Revision: 751041
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.1.8-2.mga4
+ Revision: 528516
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 4.1.8-1.mga4
+ Revision: 441776
- update to 4.1.8

* Sun Jan 13 2013 umeabot <umeabot> 4.1.7-2.mga3
+ Revision: 373030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 4.1.7-1.mga3
+ Revision: 330323
- Missing dep
- update to 4.1.7

* Sat Oct 27 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310774
- Missing BuildRequires
- Add meaningful desc
- imported package perl-Tapper-Cmd

